> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paayoor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Liste Transferts

> Cet endpoint permet de récupérer la liste des transferts

### Path

<ParamField path="perPage" type="number" required />

<ParamField path="page" type="number" required />

### Headers

<ParamField header="api-key" type="string" required />

<ParamField header="secret-key" type="string" required />

### Response

<ResponseField name="success" type="boolean" />

<ResponseField name="statusCode" type="number" />

<ResponseField name="message" type="string" />

<ResponseField name="data" type="object">
  <Expandable title="Content">
    <ResponseField name="transfers" type="array">
      <Expandable title="Toggle array">
        <ResponseField name="operation" type="string" />

        <ResponseField name="token" type="string" />

        <ResponseField name="status" type="string" />

        <ResponseField name="redirectUrl" type="string" />

        <ResponseField name="from" type="object">
          <Expandable title="Content">
            <ResponseField name="amount" type="number" />

            <ResponseField name="pricing" type="object">
              <Expandable title="Content">
                <ResponseField name="percentageFee" type="number" />

                <ResponseField name="additionalFee" type="number" />

                <ResponseField name="feesAmount" type="number" />

                <ResponseField name="supportedByAccount" type="bollean" />
              </Expandable>
            </ResponseField>

            <ResponseField name="cashAmount" type="number" />

            <ResponseField name="transactionAmount" type="bollean" />

            <ResponseField name="customer" type="object">
              <Expandable title="Content">
                <ResponseField name="fullName" type="string" />

                <ResponseField name="phoneNumber" type="string" />

                <ResponseField name="email" type="string" />
              </Expandable>
            </ResponseField>
          </Expandable>
        </ResponseField>

        <ResponseField name="to" type="object">
          <Expandable title="Content">
            <ResponseField name="amount" type="number" />

            <ResponseField name="pricing" type="object">
              <Expandable title="Content">
                <ResponseField name="percentageFee" type="number" />

                <ResponseField name="additionalFee" type="number" />

                <ResponseField name="feesAmount" type="number" />

                <ResponseField name="supportedByAccount" type="bollean" />
              </Expandable>
            </ResponseField>

            <ResponseField name="cashAmount" type="number" />

            <ResponseField name="transactionAmount" type="bollean" />

            <ResponseField name="customer" type="object">
              <Expandable title="Content">
                <ResponseField name="fullName" type="string" />

                <ResponseField name="phoneNumber" type="string" />

                <ResponseField name="email" type="string" />
              </Expandable>
            </ResponseField>
          </Expandable>
        </ResponseField>

        <ResponseField name="merchantReference" type="string" />

        <ResponseField name="initiationDate" type="date" />
      </Expandable>

      ...
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="meta" type="object">
  <Expandable title="Content">
    <ResponseField name="pagination" type="object">
      <Expandable title="Content">
        <ResponseField name="total" type="number" />

        <ResponseField name="perPage" type="number" />

        <ResponseField name="currentpage" type="number" />

        <ResponseField name="firstPage" type="number" />

        <ResponseField name="firstPageUrl" type="number" />

        <ResponseField name="pages" type="object">
          <Expandable title="Content">
            <ResponseField name="number" type="url" />

            ...
          </Expandable>
        </ResponseField>

        <ResponseField name="lastPage" type="number" />

        <ResponseField name="lastPageUrl" type="number" />
      </Expandable>
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash Example Request theme={null}
  curl --location --request GET 'https://api.checkout.product.paayoor.com/api/v1/transfer' \
  --header 'api-key: 75gJfowm010du0Nw2vwGZ150OoxhWJyz7vP0jM8Je6XFhtz0fk' \
  --header 'secret-key: 7cJofndFd5I5jMtICp6FFOGiTudpQwn661OZVTT7w63npl7lJ1'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "statusCode": 200,
    "message": "Transfers !",
    "data": {
      "transfers": [
        {
          "operation": "transfer",
          "token": "paidj-zva9v-wgf1q-x8fi7-rtn9n",
          "status": "succeeded",
          "from": {
            "amount": 1000,
            "pricing": {
              "percentageFee": 1.8,
              "additionalFee": 100,
              "feesAmount": 118,
              "supportedByAccount": true
            },
            "cashAmount": 1000,
            "transactionAmount": 882,
            "customer": {
              "fullName": "Mamadou GAYE",
              "phoneNumber": "778737478",
              "email": "gayemama9@gmail.com"
            }
          },
          "to": {
            "amount": 1000,
            "pricing": {
              "percentageFee": 1.8,
              "additionalFee": 100,
              "feesAmount": 120,
              "supportedByAccount": true
            },
            "cashAmount": 1000,
            "transactionAmount": 1120,
            "customer": {
              "fullName": "Mamadou GAYE",
              "phoneNumber": "778737478",
              "email": "gayemama9@gmail.com"
            }
          },
          "merchantReference": "ikjiojidosdjiods",
          "initiationDate": "2023-09-20T17:33:15.000000Z"
        },
        ...
      ]
    },
    "meta": {
      "pagination": {
        "total": 1,
        "perPage": 10,
        "currentPage": 1,
        "firstPage": 1,
        "firstPageUrl": "https://api.checkout.paayoor.com/api/v1/transfer?page=1",
        "pages": {
            "1": "https://api.checkout.paayoor.com/api/v1/transfer?page=1"
        },
        "lastPage": 1,
        "lastPageUrl": "https://api.checkout.paayoor.com/api/v1/transfer?page=1"
      }
    }
  }
  ```
</ResponseExample>
